//---------------------------------------------------------------------------

#ifndef FrmWebCamFH
#define FrmWebCamFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <OleCtrls.hpp>
#include "CDSFacilityF.h"
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TFrmWebCam : public TForm
{
__published:	// IDE-managed Components
    TPanel *PnlBack;
    TTimer *TmrShow;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormDestroy(TObject *Sender);
private:	// User declarations
public:
    TItsWebCam *FObj;
    TForm    *FPalyerForm;

public:		// User declarations
    __fastcall TFrmWebCam(TComponent* Owner, TItsWebCam *AObj);

    void __fastcall CommClose();

    void __fastcall WebCamPlay();
    void __fastcall WebCamStop();
};
//---------------------------------------------------------------------------
//extern PACKAGE TFrmWebCam *FrmWebCam;
//---------------------------------------------------------------------------
#endif

